export interface CatalogPersonVO {
  /**
   * 目录id
   */
  catalogId: string | number;

  /**
   * 用户编号
   */
  userId: string | number;

  /**
   * 父目录id
   */
  parentId: string | number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 目录名称
   */
  catalogName: string;

  /**
   * 显示顺序
   */
  orderNum: number;

  /**
   * 子对象
   */
  children: CatalogPersonVO[];
}

export interface CatalogPersonForm extends BaseEntity {
  /**
   * 目录id
   */
  catalogId?: string | number;

  /**
   * 用户编号
   */
  userId?: string | number;

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

}

export interface CatalogPersonQuery {

  /**
   * 用户编号
   */
  userId?: string | number;

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

  /**
   * 日期范围参数
   */
  params?: any;

  type?: number
}



