export interface CatalogResourceVO {
  /**
   * 目录id
   */
  catalogId: string | number;

  /**
   * 父目录id
   */
  parentId: string | number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 目录名称
   */
  catalogName: string;

  /**
   * 显示顺序
   */
  orderNum: number;

  /**
   * 封面
   */
  cover: number;

    /**
     * 子对象
     */
    children: CatalogResourceVO[];
}

export interface CatalogResourceForm extends BaseEntity {
  /**
   * 目录id
   */
  catalogId?: string | number;

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

  /**
   * 封面
   */
  cover?: number;

}

export interface CatalogResourceQuery {

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

  /**
   * 封面
   */
  cover?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



