export interface CatalogTextbookVO {
  /**
   * 目录id
   */
  catalogId: string | number;

  /**
   * 父目录id
   */
  parentId: string | number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 目录名称
   */
  catalogName: string;

  /**
   * 显示顺序
   */
  orderNum: number;

  /**
   * 1暂定，2学段，3年级，4学科，5版本，6教材，7目录
   */
  type: number;

  /**
   * 子对象
   */
  children: CatalogTextbookVO[];
}

export interface CatalogTextbookForm extends BaseEntity {
  /**
   * 目录id
   */
  catalogId?: string | number;

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

  /**
   * 1暂定，2学段，3年级，4学科，5版本，6教材，7目录
   */
  type?: number;

}

export interface CatalogTextbookQuery {

  /**
   * 父目录id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 目录名称
   */
  catalogName?: string;

  /**
   * 显示顺序
   */
  orderNum?: number;

  /**
   * 1暂定，2学段，3年级，4学科，5版本，6教材，7目录
   */
  type?: number;

  /**
   * 日期范围参数
   */
  params?: any;
}



