export interface TeacherVO {
  /**
   * 教职工
   */
  teacherId: string | number;

  /**
   * 部门ID
   */
  deptId: string | number;

  /**
   * 教职工姓名
   */
  teacherName: string;

  /**
   * 手机号码
   */
  phonenumber: string;

  /**
   * 工作号码
   */
  telephone: string;

  /**
   * 用户邮箱
   */
  email: string;

  /**
   * 学历
   */
  educationCode: string;

  /**
   * 学位
   */
  degreeCode: string;

  /**
   * 学科
   */
  subjectCode: string;

  /**
   * 职务
   */
  post: string;

  /**
   * 用户性别（0男 1女 2未知）
   */
  sex: string;

  /**
   * 出生日期
   */
  birthday: string;

}

export interface TeacherForm extends BaseEntity {
  /**
   * 教职工
   */
  teacherId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

  /**
   * 教职工姓名
   */
  teacherName?: string;

  /**
   * 手机号码
   */
  phonenumber?: string;

  /**
   * 工作号码
   */
  telephone?: string;

  /**
   * 用户邮箱
   */
  email?: string;

  /**
   * 学历
   */
  educationCode?: string;

  /**
   * 学位
   */
  degreeCode?: string;

  /**
   * 学科
   */
  subjectCode?: string;

  /**
   * 职务
   */
  post?: string;

  /**
   * 用户性别（0男 1女 2未知）
   */
  sex?: string;

  /**
   * 出生日期
   */
  birthday?: string;

  postCode?: string;

  postIds?: []

}

export interface TeacherQuery extends PageQuery {

  /**
   * 部门ID
   */
  deptId?: string | number;

  /**
   * 教职工姓名
   */
  teacherName?: string;

  /**
   * 手机号码
   */
  phonenumber?: string;

  /**
   * 工作号码
   */
  telephone?: string;

  /**
   * 用户邮箱
   */
  email?: string;

  /**
   * 学历
   */
  educationCode?: string;

  /**
   * 学位
   */
  degreeCode?: string;

  /**
   * 学科
   */
  subjectCode?: string;

  /**
   * 职务
   */
  post?: string;

  /**
   * 用户性别（0男 1女 2未知）
   */
  sex?: string;

  /**
   * 出生日期
   */
  birthday?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



